# Qlik Sense Details

### Qlik Sense Metadata

* Qlik Sense data in the Datalogz Control Tower comes from four sources: the QRS API, the Engine API, server audit logs, and the NPrinting API
* Together, the information from these sources paint a detailed picture about what resources are stored in the Qlik Sense and NPrinting environments and how they are used
* Metadata is aggregated across sources to generate comprehensive alerts and insights
  * For instance, be aggregating across data from the QRS API, Engine API, and audit logs, we can determine if third party tools, such as VizLib, are going unused

### QRS API

* From Qlik’s Repository Service API, we fetch most metadata about users and resources in the Qlik Sense environment
* This includes details about apps, data connections, tasks, users, licenses, and user directories
* In platform, this information makes up the Inventory page and backs several monitors and visualizations in the Insights and Exec views

<table><thead><tr><th>Datalgoz Table</th><th>API Endpoint</th><th width="382.6015625">Description of Data</th></tr></thead><tbody><tr><td>qlik_sense_apps</td><td>/app/full</td><td>Metadata about apps in Qlik, including when it was created and last reloaded at, which stream it belongs to, its publication status, file size, and more.</td></tr><tr><td>qlik_sense_data_connections</td><td>/dataconnection/full</td><td>Metadata about data connections in Qlik, including the connection string, connection type, who the owner is and who last updated it.</td></tr><tr><td>qlik_sense_license_access_type_overview</td><td>/license/accesstypeoverview</td><td>A snapshot of the total number of licenses of each type and a breakdown of how many are used vs. available.</td></tr><tr><td>qlik_sense_analyzer_license_users</td><td>/license/analyzeraccesstype/full</td><td>All users with the analyzer license type.</td></tr><tr><td>qlik_sense_professional_license_users</td><td>/license/professionalaccesstype/full</td><td>All users with the professional license type.</td></tr><tr><td>qlik_sense_streams</td><td><p>/stream/full</p><p><br></p></td><td><p>Metadata about streams in Qlik, including the owner and when it was created and last updated.</p><p><br></p></td></tr><tr><td>qlik_sense_tasks</td><td>/task/full</td><td>Metadata about the various tasks in Qlik (reloads, external programs, user syncs, and distributes), including the last execution duration and status, whether it is manual or automatic, and the next execution time.</td></tr><tr><td>qlik_sense_user_directories</td><td>/userdirectory/full</td><td>Metadata about the user directories in the Qlik environment, including the type of directory and when it last successfully synced.</td></tr><tr><td>qlik_sense_users</td><td>/user/full<br></td><td>Metadata about users in Qlik, including their roles and attributes and which directory they’re a member of.</td></tr></tbody></table>

### Engine API

* From Qlik’s Engine API, we are able to fetch more detailed information about apps than is available in the QRS API
* This includes an overview of the types of visualizations in each app as well as lineage information, such as which QVD files are referenced in an app
* In platform, this metadata is used in the Insights page

| Datalgoz Table                          | API Endpoint            | Description of Data                                                                           |
| --------------------------------------- | ----------------------- | --------------------------------------------------------------------------------------------- |
| qlik\_sense\_app\_elements\_agg\_engine | GetAllInfos             | A mapping of each element type to the apps that contain it.                                   |
| qlik\_sense\_qvd\_files\_agg\_engine    | GetLineage              | A mapping of each QVD file to the apps that reference it.                                     |
| qlik\_sense\_apps\_agg\_engine          | GetAllInfos, GetLineage | A comprehensive apps metric table, including the app element types and QVD files in each app. |

### Audit Logs

* From Qlik’s server audit logs, which we ingest via a connection to an S3 bucket, we are able to obtain user activity information, including app opens, file uploads, and logins
* When combined with data from the QRS and Engine APIs, this information is used to produce alerts and insights regarding unused apps and licenses, as well as governance and security concerns such as suspicious logins or unauthorized app access

| Datalgoz Table               | Source                                                                   | Description of Data                                                                             |
| ---------------------------- | ------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------- |
| qlik\_sense\_activity\_audit | C:\ProgramData\Qlik\Sense\Log\Repository\Audit\AuditActivity\_Repository | An audit log of user actions in Qlik, such as app opens and file uploads.                       |
| qlik\_sense\_security\_audit | C:\ProgramData\Qlik\Sense\Log\Repository\Audit\AuditSecurity\_Repository | An audit log of security-related user actions in Qlik, such as logins and user directory syncs. |

### NPrinting

* From Qlik’s NPrinting API, we fetch metadata about the resources and users in the NPrinting environment
* Together, this metadata provides another layer of usage information about the apps in the Qlik Sense environment

&#x20;

<table><thead><tr><th>Datalgoz Table</th><th width="152.234375">API Endpoint</th><th>Description of Data</th></tr></thead><tbody><tr><td>qlik_sense_nprinting_apps</td><td>/apps</td><td>Metadata about apps in NPrinting, including when it was created and last updated.</td></tr><tr><td>qlik_sense_nprinting_connections</td><td>/connections</td><td>Metadata about connections in NPrinting, including the connection status, source, and associated app.</td></tr><tr><td>qlik_sense_nprinting_reports</td><td>/reports</td><td>Metadata about reports in NPrinting, including the report type and output formats.</td></tr><tr><td>qlik_sense_nprinting_roles</td><td>/roles</td><td>Details about each of the role types in NPrinting and whether it’s enabled in the environment.</td></tr><tr><td>qlik_sense_nprinting_task_executions</td><td>/tasks/&#x3C;task_id>/executions</td><td>A log of the task executions in the NPrinting environment, including the execution type and completion status.</td></tr><tr><td> qlik_sense_nprinting_tasks<br></td><td>/tasks</td><td>Metadata about tasks in NPrinting, including the task type, whether it is enabled, and the associated app, when applicable.</td></tr><tr><td>qlik_sense_nprinting_user_roles</td><td>/users/&#x3C;user_id>/roles</td><td>A mapping of NPrinting users to the roles assigned to them.</td></tr><tr><td>qlik_sense_nprinting_users</td><td>/users</td><td>Metadata about users in NPrinting, including their email and domain account.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datalogz.io/guides/organizational-setup/bi-connectors/qlik-sense/qlik-sense-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
